/**
   Example of using the ListOf class
   to maintain a list of movie titles.
*/
public class Movies2
{
   public static void main(String[] args)
   {
      ListOf<String> movies = new ListOf<>();
      movies.add("movieA");
      movies.add("movieB");
      movies.add("movieC");
      movies.add("movieD");
      movies.add(1, "movieX");
      movies.add(3, "movieW");
      System.out.println( movies.size() );
      System.out.print( movies );
      movies.remove(2);
      System.out.println( movies.size() );
      System.out.print( movies );

      System.out.println("index of \"movieC\" is " + movies.indexOf("movieC") );
      System.out.println("index of \"movieZ\" is " + movies.indexOf("movieZ") );
      System.out.println("\"movieW\": " + movies.contains("movieW"));
      System.out.println("\"movieE\": " + movies.contains("movieE"));

      movies.remove("movieW");
      System.out.println( movies.size() );
      System.out.print( movies );
   }
}