/**

*/

class Box<T>
{
   private T x;
   public Box()
   {
      this.x = null;
   }
   public Box(T x)
   {
      this.x = x;
   }
   public T getX(){ return this.x; }
   public Box<T> setX(T x){this.x = x; return this;}
   public String toString(){return this.x.getClass().getName();}
}//Box<T>

public class TypeInference
{
   public static void main(String[] args)
   {
      Box<Integer> b1;
      Box<Double>  b2;
      Box<String>  b3;
      b1 = new Box<>();  // What type of Box?
      b1.setX(4);        // Try 4.0.
      b2 = new Box<>();  // What type of Box?
      b2.setX(4.0);      // Try 4 or "hello".
      b3 = new Box<>();  // What type of Box?
      b3.setX("hello");  // Try 4 or 4.0.
      System.out.println( b1 ); // print the type of what is in the Box
      System.out.println( b2 );
      System.out.println( b3 );
      System.out.println( new Box<>(2) );
      System.out.println( new Box<>(2.0) );
      System.out.println( new Box<>("hello") );
      System.out.println( (new Box<>()).setX(1) );    // ???
      System.out.println( (new Box<>()).setX(1.0) );  // ???
      System.out.println( (new Box<>()).setX(1).setX("hello") );

      // Try type inference on a reference variable.
      //Box<> b = new Box<Integer>(5);
   }
}
